org.apache.mina.core.file

## Interface FileRegion

- All Known Implementing Classes:
    DefaultFileRegion, FilenameFileRegion

      public interface FileRegion

  Indicates the region of a file to be sent to the remote host.
  Author:
    Apache MINA Project

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FileChannel` | `getFileChannel()` The open `FileChannel`from which data will be read to send to remote host.``
    `String` | `getFilename()` Provides an absolute filename for the underlying FileChannel.
    `long` | `getPosition()` The current file position from which data will be read.
    `long` | `getRemainingBytes()` The number of bytes remaining to be written from the file to the remote host.
    `long` | `getWrittenBytes()` The total number of bytes already written.
    `void` | `update(long amount)` Updates the current file position based on the specified amount.

- - ### Method Detail

    - #### getFileChannel

          FileChannel getFileChannel()

      The open `FileChannel`from which data will be read to send to remote host.``
      Returns:
        An open `FileChannel`.``

    - #### getPosition

          long getPosition()

      The current file position from which data will be read.
      Returns:
        The current file position.

    - #### update

          void update(long amount)

      Updates the current file position based on the specified amount. This increases the value returned by `getPosition()` and `getWrittenBytes` by the given amount and decreases the value returned by `#getCount()` by the given `amount`.
      Parameters:
        `amount` - The new value for the file position.

    - #### getRemainingBytes

          long getRemainingBytes()

      The number of bytes remaining to be written from the file to the remote host.
      Returns:
        The number of bytes remaining to be written.

    - #### getWrittenBytes

          long getWrittenBytes()

      The total number of bytes already written.
      Returns:
        The total number of bytes already written.

    - #### getFilename

          String getFilename()

      Provides an absolute filename for the underlying FileChannel.
      Returns:
        the absolute filename, or `null` if the FileRegion does not know the filename

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.